#version 330 core
  
layout(location=0) in vec3 vVertex;		//położenie wierzchołka w przestrzeni obiektu

//kolor z shadera wierzchołków
smooth out vec3 vColor;					//przekazywanie koloru do shadera fragmentów
//uniform 
uniform mat4 MVP;  //połączona macierz modelu, widoku i rzutowania

void main()
{ 	 
	//położenie w przestrzeni przycięcia
	gl_Position = MVP*vec4(vVertex.xyz,1);

	//pobieranie koloru z położenia wierzchołka w przestrzeni obiektu przez dodanie przesunięcia
    vColor = vVertex+0.5;
}